ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: jaxp.jar
Date Thu, 14 Feb 2002 15:06:17 GMT
On Wed, 13 Feb 2002, Sujan Digumarti
<Sujan.Digumarti@india.techspan.com> wrote:
> Is jaxp.jar needed for ant to run..

It depends.

Ant needs a JAXP 1.1 compliant parser and it needs the JAXP classes
themselves.

In the reference implementation of JAXP 1.1, the "the JAXP classes
themselves" are in jaxp.jar and Ant 1.4.1 includes this.

The latest releases of Crimson and Xerces-J contain "the JAXP classes
themselves" in their "main JARs" (crimson.jar or xerces.jar), so no
extra jaxp.jar is required.  Ant's nightly builds ship with Crimson
1.1.3 (which is the latest release and a bug fix release when compared
to JAXP 1.1 reference).

Finally, JDK 1.4 comes with built-in JAXP classes - no jaxp.jar in
sight.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message